#pragma once

#include <lwe/Level.h>

class MainMenu : public lwe::Level
{
public:
	MainMenu() = default;

	explicit MainMenu(const ehs::Str_8& id);

	MainMenu(const MainMenu& level) = default;

	MainMenu& operator=(const MainMenu& level) = default;

	void SetupResources(lwe::GpuInterface* inf) override;

	void Setup(lwe::GpuInterface* inf) override;

	void PostInitialize(lwe::GpuCmdBuffer* cmdBuffer) override;

	void OnUpdate(lwe::RenderWindow* win, ehs::Input* input, const float delta) override;
};