#pragma once

#include <ehs/json/Json.h>

#include <lwe/Level.h>

class TestLevel : public lwe::Level
{
private:
	ehs::UInt_32 count;
	float cooldown;

public:
	TestLevel();

	explicit TestLevel(const ehs::Str_8& id);

	TestLevel(const TestLevel& level);

	TestLevel& operator=(const TestLevel& level);

	void SetupResources(lwe::GpuInterface* inf) override;

	void Setup(lwe::GpuInterface* inf) override;

	void PostInitialize(lwe::GpuCmdBuffer* cmdBuffer) override;

	void OnUpdate(lwe::RenderWindow* win, ehs::Input* input, const float delta) override;
};